/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.customer;

import com.pragprog.dhnako.carserv.dom.payment.PaymentMethod;

public class Cash extends PaymentMethod {

	// {{ pay
	@Override
	public boolean pay(Integer amount) {
		// stub implementation
		warnUser("Paid in Cash");
		return true;
	}
	@Override
	public String validatePay(Integer amount) {
		return null;
	}
	// }}

	


}
