/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.fixture.payment;

import org.nakedobjects.applib.fixtures.AbstractFixture;

import com.pragprog.dhnako.carserv.dom.payment.PaymentMethod;
import com.pragprog.dhnako.carserv.dom.payment.PaymentMethodType;

public abstract class AbstractPaymentMethodTypesFixture extends AbstractFixture {


	protected PaymentMethodType createPaymentMethodType(Class<? extends PaymentMethod> subclass) {
		PaymentMethodType paymentMethodType = newTransientInstance(PaymentMethodType.class);
	    paymentMethodType.setFullyQualifiedClassName(subclass.getName());
	    persist(paymentMethodType);
	    return paymentMethodType;
	}


}
