/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
private static List<String> TITLES = 
    Arrays.asList("Mr", "Mrs", "Ms", "Miss");
public List<String> choicesTitle() {
    return TITLES;
}
public String validateTitle(final String title) {
    if (title == null) return null;
    if (!TITLES.contains(title)) {
        return "Invalid title";
    }
    return null;
}
