/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
protected Car createCar(
        final Customer customer, final Model model, 
    final String registrationNumber) {
    Car car = newTransientInstance(Car.class);
    car.modifyOwningCustomer(customer);
    car.setModel(model);
    car.setRegistrationNumber(
            new RegistrationNumber(registrationNumber));
    persist(car);
    return car;
}
