/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.service;

import org.nakedobjects.applib.adapters.AbstractValueSemanticsProvider;
import org.nakedobjects.applib.adapters.Parser;

import com.domainlanguage.time.CalendarInterval;


public class CalendarIntervalValueSemanticsProvider extends
        AbstractValueSemanticsProvider<CalendarInterval> {

    private static final String PARSEABLE_PATTERN = "yyyyMMdd";
    private static final String TITLE_PATTERN = "MMM dd, yyyy";

    @Override
    public Parser<CalendarInterval> getParser() {
        return new Parser<CalendarInterval>() {
            // more to follow
        };
    }
}

