/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public String title() {
    TitleBuffer buf = new TitleBuffer();
    if (getName() != null) {
        buf.append(getName().title());
    }
    buf.append(" (Person)");
    return buf.toString();
}
public String iconName() {
    return getName() != null? 
                getName().getTitle().getIconName(): null;
}
