/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
private final class ServiceMessageRoute extends RouteBuilder {
    @Override
    public void configure() throws Exception {
        from("direct:in")
        .choice()
        .when().xpath(
                "/app:RegularService/app:paymentMethod/app:CreditCard",
                regularServiceNamespaces())
            .to("xslt:RegularServiceToServiceMessage.xslt")
            .to("file:messages/service/creditcard")
        .otherwise()
            .convertBodyTo(String.class)
            .to("file:messages/unknown");
    }
}
