/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.fixture;

import org.nakedobjects.applib.fixtures.AbstractFixture;

import com.pragprog.dhnako.carserv.fixture.customer.BorisFrederiksonCustomerFixture;
import com.pragprog.dhnako.carserv.fixture.customer.JoeBloggsCustomerFixture;
import com.pragprog.dhnako.carserv.fixture.customer.MaryBloggsCustomerFixture;
import com.pragprog.dhnako.carserv.fixture.vehicle.BorisFrederiksonCarsFixture;
import com.pragprog.dhnako.carserv.fixture.vehicle.JoeBloggsCarsFixture;
import com.pragprog.dhnako.carserv.fixture.vehicle.MaryBloggsCarsFixture;

public class CustomerCarsMaintenanceTransactionalFixture extends AbstractFixture {
	
	public CustomerCarsMaintenanceTransactionalFixture() {
		addFixture(new JoeBloggsCustomerFixture());
		addFixture(new JoeBloggsCarsFixture());
		addFixture(new BorisFrederiksonCustomerFixture());
		addFixture(new BorisFrederiksonCarsFixture());
		addFixture(new MaryBloggsCustomerFixture());
		addFixture(new MaryBloggsCarsFixture());
	}

}
