/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.customer;

import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import static org.hamcrest.CoreMatchers.nullValue;
import static org.junit.Assert.assertThat;

import org.junit.Before;
import org.junit.Test;


public class GivenCustomerWithNoVehiclesTest {

	private Customer customer;
	@Before
	public void setUp() throws Exception {
		customer = new Customer();
	}
	@Test
	public void whenAttemptToDeleteVehicleThenShouldBeDisabled() throws Exception {
		assertThat(customer.disableDeleteVehicle(), is(not(nullValue())));
	}
	
}
