/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.inmemory.application;

import org.nakedobjects.applib.annotation.MemberOrder;

import com.pragprog.dhnako.carserv.dom.application.CustomerApplicationRepository;
import com.pragprog.dhnako.carserv.dom.application.CustomerTakeOn;
import com.pragprog.dhnako.carserv.inmemory.customer.CustomerRepositoryInMemory;

public class CustomerApplicationRepositoryInMemory extends CustomerRepositoryInMemory implements CustomerApplicationRepository {

	// {{ takeOnCustomer
	@MemberOrder(sequence="1.5")
	public CustomerTakeOn takeOnCustomer() {
		return newTransientInstance(CustomerTakeOn.class);
	}
	// }}

	
}
