/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.wicket.app;

import org.nakedobjects.metamodel.authentication.AuthenticationSession;

public class EffectiveSessionHolderImpl implements EffectiveSessionHolder, EffectiveSessionHolderSpi {

	private AuthenticationSession session;

	public AuthenticationSession getSession() {
		return session;
	}

	public void setSession(AuthenticationSession session) {
		this.session = session;
	}

}
