/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.wicket.app;

import org.nakedobjects.applib.profiles.Perspective;

public class PerspectiveNoop implements Perspective {

	private String name;

	public PerspectiveNoop(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
	
	public void addGenericRepository(Class<?>... domainClasses) {
	}

	public void addToObjects(Object... object) {
	}

	public Object addToServices(Class<?> serviceClass) {
		return null;
	}

	public void addToServices(Class<?>... serviceClasses) {
	}

	public void removeFromServices(Class<?>... serviceClasses) {
	}

}
