/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.vehicle;

import java.util.List;

import org.nakedobjects.applib.annotation.Named;
import org.nakedobjects.applib.annotation.Exploration;

@Named("Makes")
public interface MakeRepository {

	
	// {{ all Makes
	@Exploration
	public List<Make> allMakes();
	// }}

	// {{ findMake
	public Make findMake(@Named("Name") String name);
	// }}
}
