<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:nof="http://www.nakedobjects.org/ns/0.1/metamodel" xmlns:n2="http://www.nakedobjects.org/ns/app/com.pragprog.dhnako.carserv.dom.service/RegularService" xmlns:n="http://www.pragprog.com/dhnako/carserv/ServiceMessage" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="n2 nof xs xsi xsl" xmlns="http://www.pragprog.com/dhnako/carserv/ServiceMessage">
	<xsl:namespace-alias stylesheet-prefix="n" result-prefix="#default"/>
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<n:ServiceMessage>
			<xsl:attribute name="xsi:schemaLocation">
				<xsl:value-of select="'http://www.pragprog.com/dhnako/carserv/ServiceMessage C:/SVN-PRAGPROG/Book/code/casestudy/chapter16-04/carserv.camel.out/src/test/resources/ServiceMessage.xsd'"/>
			</xsl:attribute>
			<xsl:variable name="var1_instance" select="."/>
			<xsl:for-each select="$var1_instance/n2:RegularService/n2:bookedInAndReady">
				<n:bookedInDate>
					<xsl:value-of select="concat(concat(concat(concat(substring(normalize-space(string(.)), number(string('1')), 4), '-'), substring(normalize-space(string(.)), 5, 2)), '-'), substring(normalize-space(string(.)), 7, 2))"/>
				</n:bookedInDate>
			</xsl:for-each>
			<xsl:for-each select="$var1_instance/n2:RegularService/n2:vehicle/nof:title">
				<n:vehicleRegNum>
					<xsl:value-of select="normalize-space(string(.))"/>
				</n:vehicleRegNum>
			</xsl:for-each>
			<xsl:for-each select="$var1_instance/n2:RegularService/n2:amount">
				<n:amount>
					<xsl:value-of select="number(string(translate(normalize-space(string(.)), ',', '')))"/>
				</n:amount>
			</xsl:for-each>
			<xsl:for-each select="$var1_instance/n2:RegularService/n2:paymentMethod/n2:CreditCard/n2:cardNumber">
				<n:creditCardNumber>
					<xsl:value-of select="normalize-space(string(.))"/>
				</n:creditCardNumber>
			</xsl:for-each>
			<xsl:for-each select="$var1_instance/n2:RegularService/n2:paymentMethod/n2:CreditCard/n2:expiryDate">
				<n:creditCardExpiry>
					<xsl:value-of select="concat(concat(substring(normalize-space(string(.)), 4, 4), '-'), substring(normalize-space(string(.)), 1, 2))"/>
				</n:creditCardExpiry>
			</xsl:for-each>
		</n:ServiceMessage>
	</xsl:template>
</xsl:stylesheet>
