/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.domainservices;

import org.nakedobjects.applib.snapshot.Snapshottable;

/**
 * Marker interface for objects that we want to publish.
 * 
 * <p>
 * Since we use snapshotting, publishable objects must also
 * be {@link Snapshottable} (itself a marker interface).
 */
public interface Publishable extends Snapshottable {

}
