#!/bin/sh
#---
# Excerpted from "Domain-Driven Design Using Naked Objects",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
#---

#
# update DEPLOYMENT_FLAGS to customize the way that Naked Objects is run for a particular
# deployment.  For example, to run as a client in client/server mode, use:
# 
# DEPLOYMENT_FLAGS=--type client --connector encoding-sockets
#
# Consult the Naked Objects documentation for the various options available.
#
DEPLOYMENT_FLAGS=--type client --viewer dnd --connector encoding-http

ROOT=`dirname $0`
cd $ROOT

java -jar carserv.jar $DEPLOYMENT_FLAGS $*

