/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
@MemberOrder(sequence = "1.2")
public void deleteCar(final Car car) {
    car.delete();
}
public String validateDeleteCar(final Car car) {
    return getCars().contains(car) ?
        null :"Customer does not own this car";
}
