/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.demo.domainservices;

import org.nakedobjects.applib.AbstractService;

import com.pragprog.dhnako.carserv.dom.domainservices.EmailService;


public class EmailServiceDemo 
        extends AbstractService 
        implements EmailService {
    public void sendEmail(
            String from, String to, String subject, String body) {
        String message = String.format(
            ":\nfrom:\t%s\nto:\t%s\nsubject:\t%s\nbody:\t%s\n", 
            from, to, subject, body);
        warnUser(message);
    }
}

