/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public boolean process() {
    try {
        return super.process();
    } catch (WicketRuntimeException ex) {
        Throwable cause = ex.getCause();
        if (cause instanceof InvalidException) {
            error(cause.getMessage());
            return false;
        } else {
            throw ex;
        }
    }
}
